## ros-kinetic-moveit-setup-assistant 0.9.18

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.12)
project(moveit_setup_assistant)

add_compile_options(-std=c++11)

# definition needed for boost/math/constants/constants.hpp included by Ogre to compile
add_definitions(-DBOOST_MATH_DISABLE_FLOAT128)

if(NOT CMAKE_CONFIGURATION_TYPES AND NOT CMAKE_BUILD_TYPE)
  set(CMAKE_BUILD_TYPE Release)
endif()

include_directories(include)

find_package(Boost REQUIRED COMPONENTS thread filesystem system program_options)
include_directories(${Boost_INCLUDE_DIRS})

find_package(catkin REQUIRED COMPONENTS
  moveit_core
  moveit_ros_planning
  moveit_ros_visualization
  rviz
  urdf
  roscpp
  srdfdom
)
include_directories(${catkin_INCLUDE_DIRS})

# Qt Stuff
if("${rviz_QT_VERSION}" VERSION_LESS "5")
  find_package(Qt4 ${rviz_QT_VERSION} REQUIRED QtCore QtGui)
  include(${QT_USE_FILE})
else()
  find_package(Qt5 ${rviz_QT_VERSION} REQUIRED Core Widgets)
  set(QT_LIBRARIES Qt5::Widgets)
endif()
# Instruct CMake to run moc automatically when needed.
set(CMAKE_AUTOMOC ON)
add_definitions(-DQT_NO_KEYWORDS)

# Support new yaml-cpp API.
find_package(PkgConfig)
pkg_check_modules(YAMLCPP REQUIRED yaml-cpp>=0.5)
include_directories(${YAMLCPP_INCLUDE_DIRS})

catkin_package(
  INCLUDE_DIRS
    include
  LIBRARIES
    ${PROJECT_NAME}_tools
  CATKIN_DEPENDS
    moveit_core
    moveit_ros_planning
    moveit_ros_visualization
    roscpp
    srdfdom
    rviz
    urdf
)

# Header files that need Qt Moc pre-processing for use with Qt signals, etc:
set(HEADERS
  src/widgets/navigation_widget.h
  src/widgets/header_widget.h
  src/widgets/setup_assistant_widget.h
  src/widgets/start_screen_widget.h
  src/widgets/planning_groups_widget.h
  src/widgets/double_list_widget.h
  src/widgets/kinematic_chain_widget.h
  src/widgets/group_edit_widget.h
  src/widgets/default_collisions_widget.h
  src/widgets/robot_poses_widget.h
  src/widgets/end_effectors_widget.h
  src/widgets/virtual_joints_widget.h
  src/widgets/passive_joints_widget.h
  src/widgets/perception_widget.h
  src/widgets/ros_controllers_widget.h
  src/widgets/controller_edit_widget.h
  src/widgets/configuration_files_widget.h
  src/widgets/setup_screen_widget.h
  src/widgets/simulation_widget.h
  src/widgets/author_information_widget.h
)

# Tools Library
add_library(${PROJECT_NAME}_tools
  src/tools/compute_default_collisions.cpp
  src/tools/moveit_config_data.cpp
  src/tools/collision_linear_model.cpp
  src/tools/collision_matrix_model.cpp
  src/tools/rotated_header_view.cpp
)
set_target_properties(${PROJECT_NAME}_tools PROPERTIES VERSION ${${PROJECT_NAME}_VERSION})
target_link_libraries(${PROJECT_NAME}_tools
  ${YAMLCPP_LIBRARIES}
  ${catkin_LIBRARIES}
  ${Boost_LIBRARIES}
  ${QT_LIBRARIES}
)

# Main Widgets Library - all screens (navigation options)
add_library(${PROJECT_NAME}_widgets
  src/widgets/start_screen_widget.cpp
  src/widgets/planning_groups_widget.cpp
  src/widgets/double_list_widget.cpp
  src/widgets/kinematic_chain_widget.cpp
  src/widgets/group_edit_widget.cpp
  src/widgets/default_collisions_widget.cpp
  src/widgets/robot_poses_widget.cpp
  src/widgets/end_effectors_widget.cpp
  src/widgets/virtual_joints_widget.cpp
  src/widgets/passive_joints_widget.cpp
  src/widgets/perception_widget.cpp
  src/widgets/configuration_files_widget.cpp
  src/widgets/ros_controllers_widget.cpp
  src/widgets/controller_edit_widget.cpp
  src/widgets/navigation_widget.cpp
  src/widgets/header_widget.cpp
  src/widgets/setup_assistant_widget.cpp
  src/widgets/setup_screen_widget.cpp
  src/widgets/simulation_widget.cpp
  src/widgets/author_information_widget.cpp
  ${HEADERS}
)
set_target_properties(${PROJECT_NAME}_widgets PROPERTIES VERSION ${${PROJECT_NAME}_VERSION})
target_link_libraries(${PROJECT_NAME}_widgets
  ${PROJECT_NAME}_tools
  ${QT_LIBRARIES}
  ${catkin_LIBRARIES}
  ${Boost_LIBRARIES}
)

# executables
add_executable(${PROJECT_NAME} src/setup_assistant_main.cpp)
target_link_libraries(${PROJECT_NAME}
  ${PROJECT_NAME}_widgets ${PROJECT_NAME}_tools
  ${QT_LIBRARIES} ${catkin_LIBRARIES} ${Boost_LIBRARIES} log4cxx)

add_executable(${PROJECT_NAME}_updater src/collisions_updater.cpp )
target_link_libraries(${PROJECT_NAME}_updater
  ${PROJECT_NAME}_tools ${catkin_LIBRARIES} ${Boost_LIBRARIES})
set_target_properties(${PROJECT_NAME}_updater
                      PROPERTIES OUTPUT_NAME collisions_updater
                      PREFIX "")

install(TARGETS ${PROJECT_NAME} ${PROJECT_NAME}_widgets ${PROJECT_NAME}_tools ${PROJECT_NAME}_updater
  LIBRARY DESTINATION ${CATKIN_GLOBAL_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION})

install(DIRECTORY include/ DESTINATION ${CATKIN_GLOBAL_INCLUDE_DESTINATION})

install(DIRECTORY launch DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})
install(DIRECTORY resources DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})
install(DIRECTORY templates DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})

# Unit tests
if(CATKIN_ENABLE_TESTING)
  find_package(moveit_resources REQUIRED)
  include_directories(${moveit_resources_INCLUDE_DIRS})
  catkin_add_gtest(test_reading_writing_config test/moveit_config_data_test.cpp)
  target_link_libraries(test_reading_writing_config  ${PROJECT_NAME}_tools
  ${catkin_LIBRARIES}
  ${Boost_LIBRARIES}
  ${MOVEIT_LIB_NAME})
endif()

=== templates/moveit_config_pkg_template/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project([GENERATED_PACKAGE_NAME])

find_package(catkin REQUIRED)

catkin_package()

install(DIRECTORY launch DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
  PATTERN "setup_assistant.launch" EXCLUDE)
install(DIRECTORY config DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})

=== debian/changelog ===
ros-kinetic-moveit-setup-assistant (0.9.18-1xenial) xenial; urgency=high

  * [feature] Add joint state controller config by default (#1024 <https://github.com/ros-planning/moveit/issues/1024>)
  * Contributors: Mohmmad Ayman

 -- Dave Coleman <dave@dav.ee>  Thu, 23 Jan 2020 23:00:00 -0000

ros-kinetic-moveit-setup-assistant (0.9.17-1xenial) xenial; urgency=high



 -- Dave Coleman <dave@dav.ee>  Mon, 08 Jul 2019 22:00:00 -0000

ros-kinetic-moveit-setup-assistant (0.9.16-1xenial) xenial; urgency=high

  * [maintanance] Resolve catkin lint issues (#1137 <https://github.com/ros-planning/moveit/issues/1137>)
  * [maintanance] Fix clang issues (#1233 <https://github.com/ros-planning/moveit/issues/1233>)
  * [feature]     Added demo_gazebo.launch (#1051 <https://github.com/ros-planning/moveit/issues/1051>)
  * Contributors: Ludovic Delval, Michael Görner, Mohmmad Ayman, Robert Haschke

 -- Dave Coleman <dave@dav.ee>  Fri, 28 Jun 2019 22:00:00 -0000

ros-kinetic-moveit-setup-assistant (0.9.15-1xenial) xenial; urgency=high



 -- Dave Coleman <dave@dav.ee>  Sun, 28 Oct 2018 23:00:00 -0000

ros-kinetic-moveit-setup-assistant (0.9.14-1xenial) xenial; urgency=high



 -- Dave Coleman <dave@dav.ee>  Tue, 23 Oct 2018 22:00:00 -0000

ros-kinetic-moveit-setup-assistant (0.9.13-1xenial) xenial; urgency=high

  * [fix] Some bugs (#1022 <https://github.com/ros-planning/moveit/issues/1022>, #1013 <https://github.com/ros-planning/moveit/issues/1013>, #1040 <https://github.com/ros-planning/moveit/issues/1040>)
  * [capability][chomp] Failure recovery options for CHOMP by tweaking parameters (#987 <https://github.com/ros-planning/moveit/issues/987>)
  * [capability] New screen for automatically generating interfaces to low level controllers(#951 <https://github.com/ros-planning/moveit/issues/951>, #994 <https://github.com/ros-planning/moveit/issues/994>, #908 <https://github.com/ros-planning/moveit/issues/908>)
  * [capability] Perception screen for using laser scanner point clouds. (#969 <https://github.com/ros-planning/moveit/issues/969>)
  * [enhancement][GUI] Logo for MoveIt! 2.0, cleanup appearance (#1059 <https://github.com/ros-planning/moveit/issues/1059>)
  * [enhancement][GUI] added a setup assistant window icon (#1028 <https://github.com/ros-planning/moveit/issues/1028>)
  * [enhancement][GUI] Planning Groups screen (#1017 <https://github.com/ros-planning/moveit/issues/1017>)
  * [enhancement] use panda for test, and write test file in tmp dir (#1042 <https://github.com/ros-planning/moveit/issues/1042>)
  * [enhancement] Added capabilties as arg to move_group.launch (#998 <https://github.com/ros-planning/moveit/issues/998>)
  * [enhancement] Add moveit_setup_assistant as depenency of all *_moveit_config pkgs (#1029 <https://github.com/ros-planning/moveit/issues/1029>)
  * [maintenance] various compiler warnings (#1038 <https://github.com/ros-planning/moveit/issues/1038>)
  * [enhancement] Improving gazebo integration. (#956 <https://github.com/ros-planning/moveit/issues/956>, #936 <https://github.com/ros-planning/moveit/issues/936>)
  * [maintenance] Renamed wedgits in setup assistant wedgit to follow convention (#995 <https://github.com/ros-planning/moveit/issues/995>)
  * [capability][chomp] cleanup of unused parameters and code + addition of trajectory initialization methods (linear, cubic, quintic-spline) (#960 <https://github.com/ros-planning/moveit/issues/960>)
  * Contributors: Alexander Gutenkunst, Dave Coleman, Mike Lautman, MohmadAyman, Mohmmad Ayman, Raghavender Sahdev, Robert Haschke, Sohieb Abdelrahman, mike lautman

 -- Dave Coleman <dave@dav.ee>  Tue, 23 Oct 2018 22:00:00 -0000

ros-kinetic-moveit-setup-assistant (0.9.12-1xenial) xenial; urgency=high

  * [maintenance] trim group + link names (#921 <https://github.com/ros-planning/moveit/issues/921>)
  * [feature] combo box to choose default planner (#658 <https://github.com/ros-planning/moveit/issues/658>)
  * [maintenance] cleanup yaml parsing, remove yaml-cpp 0.3 support (#795 <https://github.com/ros-planning/moveit/issues/795>)
  * [feature] allow editing of xacro args (#796 <https://github.com/ros-planning/moveit/issues/796>)
  * Contributors: Mohmmad Ayman, Dave Coleman, Ian McMahon, Michael Görner, Mikael Arguedas, Robert Haschke, Will Baker

 -- Dave Coleman <dave@dav.ee>  Mon, 28 May 2018 22:00:00 -0000

ros-kinetic-moveit-setup-assistant (0.9.11-1xenial) xenial; urgency=high



 -- Dave Coleman <dave@dav.ee>  Sun, 24 Dec 2017 23:00:00 -0000

ros-kinetic-moveit-setup-assistant (0.9.10-1xenial) xenial; urgency=high

  * [fix][kinetic onward] msa: use qt4-compatible API for default font (#682 <https://github.com/ros-planning/moveit/issues/682>)
  * [fix][kinetic onward] replace explicit use of Arial with default application font (#668 <https://github.com/ros-planning/moveit/issues/668>)
  * [fix] add moveit_fake_controller_manager to run_depend of moveit_config_pkg_template/package.xml.template (#613 <https://github.com/ros-planning/moveit/issues/613>)
  * [fix] find and link against tinyxml where needed (#569 <https://github.com/ros-planning/moveit/issues/569>)
  * Contributors: Kei Okada, Michael Görner, Mikael Arguedas, William Woodall

 -- Dave Coleman <dave@dav.ee>  Fri, 08 Dec 2017 23:00:00 -0000

ros-kinetic-moveit-setup-assistant (0.9.9-1xenial) xenial; urgency=high

  * [setup_assistant] Fix for lunar (#542 <https://github.com/ros-planning/moveit/issues/542>) (fix #506 <https://github.com/ros-planning/moveit/issues/506>)
  * Contributors: Dave Coleman

 -- Dave Coleman <dave@dav.ee>  Sat, 05 Aug 2017 22:00:00 -0000

ros-kinetic-moveit-setup-assistant (0.9.8-1xenial) xenial; urgency=high

  * [enhance] setup assistant: add use_gui param to demo.launch (#532 <https://github.com/ros-planning/moveit/issues/532>)
  * [build] add Qt-moc guards for boost 1.64 compatibility (#534 <https://github.com/ros-planning/moveit/issues/534>)
  * Contributors: Michael Goerner



=== debian/control ===
Source: ros-kinetic-moveit-setup-assistant
Section: misc
Priority: optional
Maintainer: Dave Coleman <dave@dav.ee>
Build-Depends: debhelper (>= 9.0.0), libyaml-cpp-dev, ros-kinetic-catkin, ros-kinetic-moveit-core, ros-kinetic-moveit-resources, ros-kinetic-moveit-ros-planning, ros-kinetic-moveit-ros-visualization, ros-kinetic-roscpp, ros-kinetic-rosunit, ros-kinetic-rviz, ros-kinetic-srdfdom (>> 0.3.1), ros-kinetic-urdf
Homepage: http://moveit.ros.org
Standards-Version: 3.9.2

Package: ros-kinetic-moveit-setup-assistant
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libyaml-cpp-dev, ros-kinetic-moveit-core, ros-kinetic-moveit-ros-planning, ros-kinetic-moveit-ros-visualization, ros-kinetic-roscpp, ros-kinetic-rviz, ros-kinetic-srdfdom (>> 0.3.1), ros-kinetic-urdf, ros-kinetic-xacro
Description: Generates a configuration package that makes it easy to use MoveIt!

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-moveit-setup-assistant//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
